'''Ejercicio 2. [5 puntos]

NOMBRE: 
APELLIDOS: 
HORA DE ENTREGA AL PROFESOR: 

Implementad la función modificada(pal) descrita a continuación. 

No se prohíbe la utilización de los métodos upper() y lower()
definidos para datos de tipo string para obtener una letra mayúscula a
partir de su minúscula, y viceversa. Pero las soluciones que no
utilicen upper() and lower() tendrán una nota más alta que las que
hagan uso de <string>.upper() y <string>.lower().

'''

def modificada(pal):
    '''El resultado es la string que se obtiene al sustituir 
    I) cada letra minúscula de pal por su correspondiente letra mayúscula;  
    II) cada letra mayúscula de pal por su correspondiente letra minúscula;     
    III) cada dígito 1 por el dígito 9, cada dígito 9 por el dígito 1, 
         cada dígito 2 por el dígito 8, cada dígito 8 por el dígito 2, 
         cada dígito 3 por el dígito 7, cada dígito 7 por el dígito 3, 
         cada dígito 4 por el dígito 6 y cada dígito 6 por el dígito 4.
    
    >>> modificada("_A_1_2")
    '_a_9_8'
    >>> modificada("opera")
    'OPERA'
    >>> modificada("CABALLE")
    'caballe'
    >>> modificada("R8D8")
    'r2d2'
    >>> modificada("cA-795")
    'Ca-315'
    >>> modificada("98765")
    '12345'
    '''
    # ESCRIBID VUESTRA IMPLEMENTACIÓN A CONITUACIÓN

    r = ""
    distancia = ord('a') - ord('A')
    for c in pal:
        if 'a' <= c <= 'z': r = r + chr(ord(c) - distancia) 
        elif 'A' <= c <= 'Z': r = r + chr(ord(c) + distancia) 
        elif '0' <= c <= '9': r = r + str(10 - int(c))
        else: r = r + c
    return r


    
if __name__ == '__main__':
    import doctest
    doctest.testmod(verbose = True)
    
